﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImCompareAPP
{
    public static class UIThread
    {
        public static void UIInvoke(this Control control, MethodInvoker invoker)
        {
            if (control.InvokeRequired)
            {
                control.Invoke(invoker);
                return;
            }
            else
            {
                invoker.Invoke();
            }
        }
    }
}
